org.deidentifier.arx.metric.v2

## Class AbstractMetricSingleDimensional

- java.lang.Object
- - org.deidentifier.arx.metric.Metric<ILSingleDimensional>
  - - org.deidentifier.arx.metric.v2.AbstractMetricSingleDimensional

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MetricSDAECS, MetricSDClassification, MetricSDNMAmbiguity, MetricSDNMDiscernability, MetricSDNMEntropyBasedInformationLoss, MetricSDNMKLDivergence, MetricSDNMPublisherPayout

    public abstract class AbstractMetricSingleDimensional
    extends Metric<ILSingleDimensional>

This class provides an abstract skeleton for the implementation of single-dimensional metrics.

Author:
  Fabian Prasser, Florian Kohlmayer
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.metric.Metric

`Metric.AggregateFunction`

### Method Summary

All Methods Instance Methods Concrete Methods
`ILSingleDimensionalWithBound` `createInformationLoss(double loss)` Create a loss object
`ILSingleDimensionalWithBound` `createInformationLoss(double loss, double bound)` Create a loss object
`InformationLoss<?>` `createMaxInformationLoss()` Returns an instance of the maximal value.
`InformationLoss<?>` `createMinInformationLoss()` Returns an instance of the minimal value.

### Methods inherited from class org.deidentifier.arx.metric.Metric

`createAECSMetric, createAECSMetric, createAmbiguityMetric, createClassificationMetric, createClassificationMetric, createDiscernabilityMetric, createDiscernabilityMetric, createEntropyBasedInformationLossMetric, createEntropyBasedInformationLossMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createHeightMetric, createHeightMetric, createInstanceOfHighestScore, createInstanceOfLowestScore, createKLDivergenceMetric, createLossMetric, createLossMetric, createLossMetric, createLossMetric, createMetric, createNormalizedEntropyMetric, createNormalizedEntropyMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedNormalizedEntropyMetric, createPrecomputedNormalizedEntropyMetric, createPublisherPayoutMetric, createPublisherPayoutMetric, createStaticMetric, createStaticMetric, getAggregateFunction, getConfiguration, getDescription, getGeneralizationFactor, getGeneralizationSuppressionFactor, getInformationLoss, getInformationLoss, getLowerBound, getLowerBound, getName, getScore, getSuppressionFactor, initialize, isAbleToHandleClusteredMicroaggregation, isAbleToHandleMicroaggregation, isGSFactorSupported, isIndependent, isMonotonic, isMonotonicWithGeneralization, isMonotonicWithSuppression, isMultiDimensional, isPrecomputed, isScoreFunctionSupported, isWeighted, list, render, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### createInformationLoss

    public ILSingleDimensionalWithBound createInformationLoss(double loss)

Create a loss object

Parameters:
  `loss` -
Returns:

#### createInformationLoss

    public ILSingleDimensionalWithBound createInformationLoss(double loss,
                                                              double bound)

Create a loss object

Parameters:
  `loss` -
  `bound` -
Returns:

#### createMaxInformationLoss

    public InformationLoss<?> createMaxInformationLoss()

Description copied from class: `Metric`
Returns an instance of the maximal value.

Specified by:
  `createMaxInformationLoss` in class `Metric<ILSingleDimensional>`
Returns:

#### createMinInformationLoss

    public InformationLoss<?> createMinInformationLoss()

Description copied from class: `Metric`
Returns an instance of the minimal value.

Specified by:
  `createMinInformationLoss` in class `Metric<ILSingleDimensional>`
Returns: